# Function applyPostWeatherChangeAbAttrs

- applyPostWeatherChangeAbAttrs(attrType, pokemon, weather, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostWeatherChangeAbAttr )
    - - new (...args): PostWeatherChangeAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostWeatherChangeAbAttr

  - pokemon: default
  - weather: WeatherType
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3633